Subject: RE: [Pce] Re: Working Group Lastcallondraft-ietf-pce-architecture-03.txt

From: "Darek Skalecki" <[email-masked]>
Date: Fri, 6 Jan 2006 12:21:30 -0500

It has been interesting to watch this discussion from the sidelines but
now I want to jump in and side with Igor that we should not advertise or
request actual path computation algorithms. I also recall that actual
computation algorithms were always purposefully left out of
standardization. All that should be advertised by a PCE is what it can
compute, i.e.
- shortest path
- shortest pair of diverse paths with respect to nodes and/or links and
or SRLGs
- etc. 

By the way, since one PCE can forward a particular PCReq to another PCE,
what should it advertise? If the answer is a union of all its and other
PCEs capabilities then this can get really messy when availability of
PCEs in the network changes due to failures, etc.  

Darek

Darek Skalecki
Optical Networks
Nortel
[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Igor Bryskin
Sent: January 6, 2006 11:24 AM
To: Adrian Farrel; Payam Torab; [email-masked]
Subject: Re: [Pce] Re: Working Group
Lastcallondraft-ietf-pce-architecture-03.txt

Adrian,

Please see in-line.

Igor

----- Original Message ----- 
From: "Adrian Farrel" <[email-masked]>
To: "Igor Bryskin" <[email-masked]>; "Payam Torab"
<[email-masked]>; <[email-masked]>
Sent: Thursday, January 05, 2006 6:25 PM
Subject: Re: [Pce] Re: Working Group Last
callondraft-ietf-pce-architecture-03.txt

> Hi,
>
> I'm not sure this is worth pursuing, but I will because I never can 
> leave tings alone...
>
> > > > Besides, if a PCC requires, say, 
> > > > "Dijkstra_Improved_By_Payam_Torab"
> > > > algorithm, how it can then verify that the specified algorithm
> indeed
> > > > was or was not used?
> > >
> > > I don't see why/how that quesiton is relevant. When a PCC requests

> > > a shortest path, how does it verify that the path returned is the
> shortest
> > > that was available at the time of computation?
> >
> > IB>> Well, the resulting path will asumabely come with its cost. PCC
> could
> > send the request to some other PCE and get the path with a lesser 
> > cost
> and
> > choose the second path. The point is that PCC only can evaluate
> quantative
> > characteristics visible from outside of the PCE.
>
> Actually, you can only test whether another PCE can compute a shorter 
> path at a different time using potentially different information. You 
> simply cannot catch the PCE out in a lie unless you also ask it to 
> dump its TED and do the computation yourself.
>
> Hey, and what if the PCEs were cooperating in fibbing to you. My God! 
> It's a global conspiracy!
>
> And why would a PCE say it had used one algorithm when it had actually

> used another?

Hey,

a) Because it can
b) Because it is a good marketing point - I can sell more PCEs if I
claim that I support Dijkstra_Improved_By_Igor

We agreed long time ago that we do not standardize path computation
algorithms. So what does it mean that my PCE supports
Dijkstra_Improved_By_Igor? It means pretty much nothing because even if
this is a published algorithm anybody can add any tweaks he wants and
still claim that this is Dijkstra_Improved_By_Igor.

So in IMO it does not make any sense to neither advertise nor request
path computation algorithms.

Igor

> A

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce